Page MenuHomePhabricator

IRC feed broken on group0 wikis
Closed, ResolvedPublic

Description

Seems to be related to Bryan's Monolog deployment earlier

Details

Related Gerrit Patches:
mediawiki/core : wmf/1.25wmf12Create a generic UDP transport class
mediawiki/core : masterCreate a generic UDP transport class

Event Timeline

Krenair created this task.Dec 15 2014, 9:28 PM
Krenair assigned this task to bd808.
Krenair raised the priority of this task from to High.
Krenair updated the task description. (Show Details)
Krenair changed Security from none to None.
Krenair added a subscriber: Krenair.
bd808 added a subscriber: Legoktm.Dec 15 2014, 9:37 PM

UDPRCFeedEngine uses abuses wfErrorLog() to send udp packets to a custom endpoint. The conversion of the logging configuration for the group0 wikis to Monolog has changed the internal behavior of wfErrorLog() such that the events are not redirected to the custom UDP endpoint any longer.

@Legoktm started a patch quite a while ago to put the UDP packet formatting and sending logic in a more general place. Fixing that patch up and changing UDPRCFeedEngine to use it is the right way to fix this bug.

Change 170080 had a related patch set uploaded (by BryanDavis):
Create a generic UDP transport class

https://gerrit.wikimedia.org/r/170080

Patch-For-Review

bd808 moved this task from Untriaged to In Dev on the Librarization board.Dec 15 2014, 10:49 PM

This should be fixed or block further deployment to phase1 or phase2 wikis as Countervandalism tools (including ClueBot, CVNBot, Huggle and what not) all depend on the irc feed. Without this those applications will never see this edits, and neither their users. This can have near-unrecoverable impact on most wikis in terms of cross-wiki abuse, highly-visible vandalism, and subtle vandalism as well.

This should be fixed or block further deployment to phase1 or phase2 wikis

I agree and will not be proposing any additional configuration changes to propagate the Monolog logger past group0 until we have a fix for this deployed. Note that this is not a problem in the MediaWiki code that is on group0, it is a specific configuration of the logging layer (https://gerrit.wikimedia.org/r/#/c/179370/ & https://gerrit.wikimedia.org/r/#/c/179958/).

greg added a subscriber: greg.Dec 16 2014, 1:36 AM

Change 180214 had a related patch set uploaded (by BryanDavis):
Create a generic UDP transport class

https://gerrit.wikimedia.org/r/180214

Patch-For-Review

Change 170080 merged by jenkins-bot:
Create a generic UDP transport class

https://gerrit.wikimedia.org/r/170080

Change 180214 merged by jenkins-bot:
Create a generic UDP transport class

https://gerrit.wikimedia.org/r/180214

bd808 closed this task as Resolved.Dec 17 2014, 1:08 AM

#test.wikipedia log messages after patch was deployed

[17:56]  < rc-pmtpa>	[[User:BDavis (WMF)/Test irc]] !N http://test.wikipedia.org/w/index.php?oldid=219841&rcid=269593 * BDavis (WMF) * (+164) Well?
[18:00]  < rc-pmtpa>	[[Topic:S25l6yompj6b4ai5]] ! http://test.wikipedia.org/w/index.php?title=Topic:S25l6yompj6b4ai5&action=history * EBernhardson (WMF) * (+38) EBernhardson (WMF) commented on "oiasjdfoijasdf" (Viquipèdia:La_taverna/Tecnicismes)
bd808 moved this task from In Dev to Done on the Librarization board.Dec 17 2014, 1:09 AM
bd808 moved this task from In Dev/Progress to Done on the MediaWiki-Core-Team board.
bd808 removed a project: Patch-For-Review.
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Dec 22 2014, 10:38 PM